<!doctype html>
<html lang="{{ .Site.LanguageCode | default "en-us" }}">
  <head>
    <title>{{ if .IsHome }}{{ .Site.Title }}{{ else }}{{ .Title }} // {{ .Site.Title }}{{ end }}</title>
    <link rel="shortcut icon" href="{{ .Site.Params.favicon | default "/favicon.ico" }}" />
    <meta charset="utf-8" />
    {{ hugo.Generator }}
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="author" content="{{ .Site.Params.author | default "John Doe" }}" />
    <meta name="description" content="{{ if .IsHome }}{{ .Site.Params.description }}{{ else }}{{ .Description }}{{ end }}" />
    {{ $style := resources.Get "css/main.scss" | resources.ExecuteAsTemplate "css/main.scss" . | resources.ToCSS | resources.Minify | resources.Fingerprint -}}
    <link rel="stylesheet" href="{{ $style.Permalink }}" />

    {{ template "_internal/google_analytics.html" . }}
    {{ template "_internal/twitter_cards.html" . }}
    {{ template "_internal/opengraph.html" . }}

  </head>
  <body>
    <header class="app-header">
      <a href="{{ .Site.BaseURL }}"><img class="app-header-avatar" src="{{ .Site.Params.avatar | default "avatar.jpg" | relURL }}" alt="{{ .Site.Params.author | default "John Doe" }}" /></a>
      <h1>{{ .Site.Title }}</h1>
      {{- with .Site.Menus.main }}
      <nav class="app-header-menu">
        {{- range $key, $item := . }}
          {{- if ne $key 0 }}
            {{ $.Site.Params.menu_item_separator | default " - " | safeHTML }}
          {{ end }}
          <a class="app-header-menu-item" href="{{ $item.URL }}">{{ $item.Name }}</a>
        {{- end }}
      </nav>
      {{- end }}
      <p>{{ .Site.Params.description | default "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc vehicula turpis sit amet elit pretium." }}</p>
      {{- with .Site.Params.social }}
      <div class="app-header-social">
        {{ range . }}
          <a href="{{ .url }}" target="_blank" rel="me">
            {{ partial "icon.html" (dict "ctx" $ "name" .icon "title" .name) }}
          </a>
        {{ end }}
        <a href="https://dart.jhuapl.edu/Planetary-Defender/" target="_blank"rel="noreferrer noopener">
          <img src="https://dart.jhuapl.edu/Planetary-Defender/badge-01.png" width="200">
        </a>
      </div>
      {{- end }}
    </header>
    <main class="app-container">
      {{ block "main" . }}
        {{ .Content }}
      {{ end }}
    </main>
  </body>
</html>
